<script setup lang="ts">
import { useStockStore } from "@/stores/stock"
import { useReceiptStore } from "@/stores/receipt";
import { onMounted } from "vue";
const stockStore = useStockStore()
const receiptStore = useReceiptStore()
const headers = [
  {

    key: 'id',
    sortable: false,
    title: 'ProuductId',
  },
  { key: 'name', title: 'ProuductName', sortable: false },
  { key: 'minimum', title: 'Minimum', sortable: false },
  { key: 'balance', title: 'Balance', sortable: false },
  { key: 'unit', title: 'Unit', sortable: false },

]
onMounted(() => {
  stockStore.minimumStock();
});
receiptStore.setIncome()
</script>

<template>
  <v-container>
    <v-row>
      <v-container>
        <v-row>
          <v-col cols="12" sm="6" md="6">
            <v-sheet width="500" height="600" class="overflow-auto">
              <div style="font-size: 20pt; text-align: center;">สิ้นค้าใกล้หมดคลัง</div>
              <v-data-table :headers="headers" :items="stockStore.stockLows">
              </v-data-table>
            </v-sheet>
          </v-col>
          <v-col cols="12" sm="6" md="6">
            <v-sheet width="500" height="600" class="overflow-auto" style="background-color: rgba(255, 255, 255, 0.5);">
              <v-container>
                <v-row style="font-size: 20px; font-weight: bold; " class="pa-2">
                    ยอดขายรายปี
                </v-row>
                <v-row style="font-size: 40px; font-weight: bold; color: green; " class="pa-11">
                    {{ receiptStore.incomeYear}} ฿
                </v-row>
                <v-row style="font-size: 20px; font-weight: bold;" class="pa-2">
                    ยอดขายรายเดือน
                </v-row>
                <v-row style="font-size: 40px; font-weight: bold;  color: green;" class="pa-11">
                    {{ receiptStore.incomeMonth}} ฿
                </v-row>
                <v-row style="font-size: 20px; font-weight: bold;" class="pa-2">
                    ยอดขายรายวัน
                </v-row>
                <v-row style="font-size: 40px; font-weight: bold;   color: green;" class="pa-11">
                    {{ receiptStore.incomeDay}} ฿
                </v-row>
              </v-container>
            </v-sheet>
          </v-col>
        </v-row>

      </v-container>

    </v-row>
  </v-container>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
  background-color: white;
}

tbody tr:nth-of-type(odd) {
  background-color: white;
}

thead {
  background-color: white;
  color: rgb(0, 0, 0);
  font-weight: bold;
}
.theme--light.v-data-table thead tr th {
  color: white;
}
</style>
